# PhasicFlow: rectMeshField< T, MemorySpace > Class Template Reference

rectMeshField< T, MemorySpace > Class Template Reference
Inheritance diagram for rectMeshField< T, MemorySpace >:
[legend]
Collaboration diagram for rectMeshField< T, MemorySpace >:
[legend]

## Public Types

using | viewType = ViewType3D< T, MemorySpace >
using | memory_space = typename viewType::memory_space

## Public Member Functions

| TypeInfoTemplateNV2 ("rectMeshField", T, memoerySpaceName())
| rectMeshField (const rectangleMesh &mesh, const word &name, const T &defVal)
| rectMeshField (const rectangleMesh &mesh, const T &defVal)
| rectMeshField (const rectMeshField &)=default
rectMeshField & | operator= (const rectMeshField &)=default
| rectMeshField (rectMeshField &&)=default
rectMeshField & | operator= (rectMeshField &&)=default
uniquePtr< rectMeshField > | clone () const
rectMeshField * | clonePtr () const
const INLINE_FUNCTION_H word & | name () const
INLINE_FUNCTION_HD int64 | size () const
auto | nx () const
auto | ny () const
auto | nz () const
const auto & | mesh ()
INLINE_FUNCTION_HD real | cellVol () const
INLINE_FUNCTION_HD T & | operator() (int32 i, int32 j, int32 k)
const INLINE_FUNCTION_HD T & | operator() (int32 i, int32 j, int32 k) const
void | fill (T val)
bool | read (iIstream &is)
bool | write (iOstream &os) const

## Static Protected Member Functions

constexpr static const char * | memoerySpaceName ()

## Protected Attributes

const rectangleMesh * | mesh_
word | name_ ="noName"
viewType | field_
T | defaultValue_ {}

## Detailed Description

### template<typename T, typename MemorySpace = void>
class pFlow::rectMeshField< T, MemorySpace >

Definition at line 31 of file rectMeshField.hpp.

## Member Typedef Documentation

## viewType

using viewType = ViewType3D<T,MemorySpace>

Definition at line 35 of file rectMeshField.hpp.

## memory_space

using memory_space = typename viewType::memory_space

Definition at line 37 of file rectMeshField.hpp.

## Constructor & Destructor Documentation

## rectMeshField() [1/4]

rectMeshField | ( | const rectangleMesh & | mesh,
|  | const word & | name,
|  | const T & | defVal
| ) |  |

inline

Definition at line 59 of file rectMeshField.hpp.

Referenced by rectMeshField< int32, HostSpace >::clonePtr().

Here is the caller graph for this function:

## rectMeshField() [2/4]

rectMeshField | ( | const rectangleMesh & | mesh,
|  | const T & | defVal
| ) |  |

inline

Definition at line 69 of file rectMeshField.hpp.

## rectMeshField() [3/4]

rectMeshField | ( | const rectMeshField< T, MemorySpace > & |  | ) |

default

## rectMeshField() [4/4]

rectMeshField | ( | rectMeshField< T, MemorySpace > && |  | ) |

default

## Member Function Documentation

## memoerySpaceName()

constexpr static const char* memoerySpaceName | ( |  | ) |

inlinestaticconstexprprotected

Definition at line 49 of file rectMeshField.hpp.

## TypeInfoTemplateNV2()

TypeInfoTemplateNV2 | ( | "rectMeshField< T, MemorySpace >" | ,
|  | T | ,
|  | memoerySpaceName() |
| ) |  |

## operator=() [1/2]

rectMeshField& operator= | ( | const rectMeshField< T, MemorySpace > & |  | ) |

default

## operator=() [2/2]

rectMeshField& operator= | ( | rectMeshField< T, MemorySpace > && |  | ) |

default

## clone()

uniquePtr<rectMeshField> clone | ( |  | ) | const

inline

Definition at line 83 of file rectMeshField.hpp.

## clonePtr()

rectMeshField* clonePtr | ( |  | ) | const

inline

Definition at line 88 of file rectMeshField.hpp.

## name()

const INLINE_FUNCTION_H word& name | ( |  | ) | const

inline

Definition at line 94 of file rectMeshField.hpp.

Referenced by pFlow::convertRectMeshField().

Here is the caller graph for this function:

## size()

INLINE_FUNCTION_HD int64 size | ( |  | ) | const

inline

Definition at line 100 of file rectMeshField.hpp.

Referenced by pFlow::convertRectMeshField().

Here is the caller graph for this function:

## nx()

auto nx | ( |  | ) | const

inline

Definition at line 105 of file rectMeshField.hpp.

Referenced by pFlow::convertRectMeshField().

Here is the caller graph for this function:

## ny()

auto ny | ( |  | ) | const

inline

Definition at line 110 of file rectMeshField.hpp.

Referenced by pFlow::convertRectMeshField().

Here is the caller graph for this function:

## nz()

auto nz | ( |  | ) | const

inline

Definition at line 115 of file rectMeshField.hpp.

Referenced by pFlow::convertRectMeshField().

Here is the caller graph for this function:

## mesh()

const auto& mesh | ( |  | ) |

inline

Definition at line 120 of file rectMeshField.hpp.

## cellVol()

INLINE_FUNCTION_HD real cellVol | ( |  | ) | const

inline

Definition at line 126 of file rectMeshField.hpp.

## operator()() [1/2]

INLINE_FUNCTION_HD T& operator() | ( | int32 | i,
|  | int32 | j,
|  | int32 | k
| ) |  |

inline

Definition at line 132 of file rectMeshField.hpp.

## operator()() [2/2]

const INLINE_FUNCTION_HD T& operator() | ( | int32 | i,
|  | int32 | j,
|  | int32 | k
| ) |  | const

inline

Definition at line 138 of file rectMeshField.hpp.

## fill()

void fill | ( | T | val | ) |

inline

Definition at line 143 of file rectMeshField.hpp.

Referenced by rectMeshField< int32, HostSpace >::rectMeshField().

Here is the caller graph for this function:

## read()

bool read | ( | iIstream & | is | ) |

inline

Definition at line 154 of file rectMeshField.hpp.

## write()

bool write | ( | iOstream & | os | ) | const

inline

Definition at line 160 of file rectMeshField.hpp.

## Member Data Documentation

## mesh_

const rectangleMesh* mesh_

protected

Definition at line 41 of file rectMeshField.hpp.

Referenced by rectMeshField< int32, HostSpace >::cellVol(), rectMeshField< int32, HostSpace >::fill(), rectMeshField< int32, HostSpace >::mesh(), rectMeshField< int32, HostSpace >::nx(), rectMeshField< int32, HostSpace >::ny(), rectMeshField< int32, HostSpace >::nz(), and rectMeshField< int32, HostSpace >::size().

## name_

word name_ ="noName"

protected

Definition at line 43 of file rectMeshField.hpp.

Referenced by rectMeshField< int32, HostSpace >::name().

## field_

viewType field_

protected

Definition at line 45 of file rectMeshField.hpp.

Referenced by rectMeshField< int32, HostSpace >::fill(), and rectMeshField< int32, HostSpace >::operator()().

## defaultValue_

T defaultValue_ {}

protected

Definition at line 47 of file rectMeshField.hpp.

Referenced by rectMeshField< int32, HostSpace >::rectMeshField().

The documentation for this class was generated from the following file:

- utilities/postprocessPhasicFlow/rectMeshField.hpp